| Home | Libraries | People | FAQ | More

## Class template has_native_replace

boost::algorithm::has_native_replace — Native replace trait.

## Synopsis

    // In header: <boost/algorithm/string/sequence_traits.hpp>

    template<typename T>
    class has_native_replace {
    public:
      // types
      typedef mpl::bool_< has_native_replace< T >::value > type;

      // public data members
      static const bool value;
    };

## Description

This trait specifies that the sequence has `std::string` like replace method